import '../../stencil.core';
export declare class EdelIconComponent {
    hostElement: HTMLElement;
    color: string | undefined;
    name: string | null;
    size: string | null;
    faStyle: string | null;
    render(): JSX.Element;
    componentDidLoad(): void;
    getNormalizedStyleAndName(): {
        style: string | null;
        name: string | null;
    };
    getSize(size: string | null): string;
    getFaStyle(faStyle: string | null): string;
}
